c====================================================================
c
c  Define common block containing all coupling constants and masses
c  which are used in the HELAS routines.
c
c  These include masses, widths and real/complex couplings.
c
c  This file can be built automatically from particles.dat and
c  interactions.dat
c
c====================================================================
c
c     QCD 
c
      double complex       gg(2)
      double precision     g
      common /COUPL_QCD/   g,gg   
c
c    kinematical masses
c
      double precision     hmass, wmass, zmass, amass,
     &                     tmass, bmass, lmass, cmass
      common /COUPL_MASS/  hmass, wmass, zmass, amass,
     &                     tmass, bmass, lmass, cmass
c
c   widths
c
      double precision     hwidth, wwidth, zwidth, 
     &                     twidth, lwidth, awidth
      common /COUPL_WIDTH/ hwidth, wwidth, zwidth, 
     &                     twidth, lwidth, awidth
c
c  couplings in the feynman rules
c
      double complex       gal(2), gad(2), gau(2), gwf(2),
     &                     gzn(2), gzl(2), gzd(2), gzu(2)
      double precision     gw, gwwa, gwwz
      common /COUPL_GAUGE/ gal   , gad   , gau   , gwf   ,
     &                     gzn   , gzl   , gzd   , gzu   ,
     &                     gw, gwwa, gwwz
c
      double complex       gwfc(2),  gwfs(2), gwfm(2)
      common /coupl_ckm/   gwfc,     gwfs   , gwfm	
c
C      double complex       gwwh, gzzh, gwwhh, gzzhh, ghhh, ghhhh
C      common /COUPL_SCAL/  gwwh, gzzh, gwwhh, gzzhh, ghhh, ghhhh
c
C      double complex       ghtop(2), ghbot(2), ghtau(2), ghcha(2)
C      common /COUPL_YUK/   ghtop   , ghbot   , ghtau   , ghcha

c     /COUPL_QCD/
C      gg(1)=  (-1.21771578,0.)
C      gg(2)= (-1.21771578,0.)
C      g=  1.21771578

      gg(1)=  (-1.,0.)
      gg(2)= (-1.,0.)
      g=  1.

c     /COUPL_MASS/
      hmass=   120.
      wmass=   80.419
      zmass=   91.188
      amass=   0.
      tmass=   174.3
c      bmass=   4.2
c      lmass=   1.777
c      cmass=   1.4
      bmass=   0.
      lmass=   0.
      cmass=   0.

c     /COUPL_WIDTH/
      hwidth=   0.004276087
      wwidth=   2.04759951
      zwidth=   2.44639985
      twidth=   1.5101349
      lwidth=   0.
      awidth=   0.

c      /COUPL_GAUGE/
      gal(1)=  (0.30795379,0.)
      gal(2)=(0.30795379,0.)
      gad(1)=  (0.102651263,0.)
      gad(2)=(0.102651263,0.)
      gau(1)=  (-0.205302527,0.)
      gau(2)=(-0.205302527,0.)
      gwf(1)=  (-0.461905421,0.)
      gwf(2)=(0.,0.)
      gzn(1)=  (-0.370354037,0.)
      gzn(2)=(0.,0.)
      gzl(1)=  (0.205734236,0.)
c      gzl(1)=  (0.,0.)
      gzl(2)=(-0.164619801,0.)
c      gzl(2)=(-0.,0.)
      gzd(1)=  (0.31548077,0.)
      gzd(2)=(-0.0548732671,0.)
c      gzd(1)=  (0.,0.)
c      gzd(2)=(0.,0.)
      gzu(1)=  (-0.260607503,0.)
      gzu(2)=(0.109746534,0.)
c      gzu(2)=(0.,0.)
      gw=   0.653232911
      gwwa=   0.30795379
      gwwz=   0.576088273
      
c      /coupl_ckm/
      gwfc(1)=  (-0.449433419,0.)
      gwfc(2)=(0.,0.)
      gwfs(1)=  (-0.102426964,0.)
      gwfs(2)=(0.,0.)
      gwfm(1)=  (0.102426964,0.)
      gwfm(2)=(0.,0.)

